rte_pmd_i40e_queue_region_conf(3)

NAME
rte_pmd_i40e_queue_region_conf

SYNOPSIS

#include <rte_pmd_i40e.h>

  Data Fields

uint8_t region_id
uint8_t hw_flowtype
uint8_t queue_start_index
uint8_t queue_num
uint8_t user_priority

Detailed Description

Queue region related information.

Definition at line 186 of file rte_pmd_i40e.h.

Field Documentation

  uint8_t region_id
the region id for this configuration

Definition at line 188 of file rte_pmd_i40e.h.

  uint8_t hw_flowtype
the pctype or hardware flowtype of packet, the specific index for each type has been defined in file i40e_type.h as enum i40e_filter_pctype.

Definition at line 193 of file rte_pmd_i40e.h.

  uint8_t queue_start_index
the start queue index for this region

Definition at line 195 of file rte_pmd_i40e.h.

  uint8_t queue_num
the total queue number of this queue region

Definition at line 197 of file rte_pmd_i40e.h.

  uint8_t user_priority
the packet's user priority for this region

Definition at line 199 of file rte_pmd_i40e.h.

Author

Generated automatically by Doxygen for DPDK from the source code.